labplot (2.12.1-5build1) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Mon, 16 Feb 2026 04:25:10 +0000

labplot (2.12.1-5) unstable; urgency=medium

  * Backport upstream commit c2db2ec28aa8958f7041ae5cd03ddae9f44e5aa3 to add an
    #include needed to build using Qt 6.10; patch
    upstream_Added-the-missing-include-to-fix-the-build.patch.
    (Closes: #1127877)

 -- Pino Toscano <pino@debian.org>  Sun, 15 Feb 2026 20:01:25 +0100

labplot (2.12.1-4) unstable; urgency=medium

  * Backport upstream commit d4f909a9b5126fe4a4890d041aedc57f1115fa57 to
    properly set the application version as 2.12.1; patch
    upstream_version-bump.patch.
  * Backport upstream commit b0e233b6b20134177af40e8904b593b8dbc18ada to build
    with Qt 6.10; patch upstream_Fix-build-with-Qt-6.10.patch.
    (Closes: #1127877)

 -- Pino Toscano <pino@debian.org>  Sat, 14 Feb 2026 12:28:22 +0100

labplot (2.12.1-3) unstable; urgency=medium

  * Bump Standards-Version to 4.7.3, no changes required.
  * Drop Priority: optional, no more needed since dpkg 1.22.13.
  * Use the system version of Qt Advanced Docking System:
    - add the libqt-advanced-docking-system-dev build dependency

 -- Pino Toscano <pino@debian.org>  Sat, 14 Feb 2026 08:40:27 +0100

labplot (2.12.1-2) unstable; urgency=medium

  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Backport upstream commit ee17e7659a97b36b58cab28b2b56cede7cd153c6 to support
    orcus 0.21.0; patch upstream_cmake-support-orcus-0.21.patch.
    (Closes: #1117346)

 -- Pino Toscano <pino@debian.org>  Fri, 14 Nov 2025 22:13:43 +0100

labplot (2.12.1-1) unstable; urgency=medium

  * New upstream release.
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Mon, 25 Aug 2025 20:12:49 +0200

labplot (2.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - upstream_cmake-read-and-use-libary-versions.patch: backported from
      upstream
    - upstream_cmake-support-ixion-orcus-0.20.0.patch: backported from upstream
    - upstream_support-ixion-orcus-0.20.0.patch: backported from upstream
    - fix-template-warnings.diff: backported from upstream
  * Update the build dependencies following the port to Qt 6:
    - remove qtbase5-dev, qtbase5-private-dev, libqt5svg5-dev,
      libqt5serialport5-dev, libkf5archive-dev, libkf5completion-dev,
      libkf5config-dev, libkf5configwidgets-dev, libkf5coreaddons-dev,
      libkf5crash-dev, libkf5doctools-dev, libkf5i18n-dev, libkf5iconthemes-dev,
      libkf5kio-dev, libkf5newstuff-dev, libkf5parts-dev, libkf5purpose-dev,
      libkf5service-dev, libkf5syntaxhighlighting-dev, libkf5textwidgets-dev,
      libkf5widgetsaddons-dev, libkf5xmlgui-dev, kuserfeedback-dev,
      libpoppler-qt5-dev, libqt5qxlsx-dev, and libqt5sql5-sqlite
    - add qt6-base-dev, qt6-base-private-dev, qt6-svg-dev, qt6-serialport-dev,
      libkf6archive-dev, libkf6completion-dev, libkf6config-dev,
      libkf6configwidgets-dev, libkf6coreaddons-dev, libkf6crash-dev,
      libkf6doctools-dev, libkf6i18n-dev, libkf6iconthemes-dev, libkf6kio-dev,
      libkf6newstuff-dev, libkf6parts-dev, libkf6purpose-dev, libkf6service-dev,
      libkf6syntaxhighlighting-dev, libkf6textwidgets-dev,
      libkf6widgetsaddons-dev, libkf6xmlgui-dev, libkf6userfeedback-dev,
      libpoppler-qt6-dev, and libqt6sql6-sqlite
  * Update the other build dependencies according to the upstream build system:
    - add libzstd-dev
    - drop libboost-dev, as libixion-dev now properly depends on it
    - add libcantor-dev to re-enable the integration with Cantor
  * Switch the kf5 dh addon to kf6.
  * Update install files.
  * Update symlink for examples directory.
  * Remove also the cmake config development files.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 26 Apr 2025 14:53:33 +0200

labplot (2.11.1-3) unstable; urgency=medium

  * Bump Standards-Version to 4.7.2, no changes required.
  * Backport part of upstream commit d591f2ec48f156f857558f9cc9a28e48b5d54891,
    upstream commit e429dfb34cd2270e488115867347249e81e23a07, and
    most of commit ecaf92c2901da26096c77ee9458dea3098352641 to support
    ixion/orcus 0.20.0; patches
    upstream_cmake-read-and-use-libary-versions.patch,
    upstream_cmake-support-ixion-orcus-0.20.0.patch, and
    upstream_support-ixion-orcus-0.20.0.patch. (Closes: #1102249)
  * Fix many warnings due to C++ constructor for template classes; patch
    fix-template-warnings.diff (backported from upstream).

 -- Pino Toscano <pino@debian.org>  Mon, 21 Apr 2025 09:48:40 +0200

labplot (2.11.1-2) unstable; urgency=medium

  * Disable the Cantor integration for now, as Cantor will be switched soon to
    Qt 6:
    - drop the libcantor-dev build dependency

 -- Pino Toscano <pino@debian.org>  Tue, 18 Feb 2025 22:52:03 +0100

labplot (2.11.1-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - add liborcus-dev, and libixion-dev
    - add libboost-dev as missing dependency of libixion-dev

 -- Pino Toscano <pino@debian.org>  Wed, 17 Jul 2024 21:05:08 +0200

labplot (2.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.12.0
    - bump KF packages to 5.32.0
    - add qtbase5-private-dev, libkf5purpose-dev, and libeigen3-dev
    - add libqt5sql5-sqlite for tests
  * Update the patches:
    - upstream_matio-Fix-compilation-for-latest-version-1.5.27.patch: drop,
      backported from upstream
  * Do not ship development bits (e.g. headers) for now.
  * Update install files.
  * Update lintian overrides.
  * CI: make the build non-verbose, so the build log fits within the salsa
    limits.

 -- Pino Toscano <pino@debian.org>  Sat, 13 Jul 2024 21:07:39 +0200

labplot (2.10.1-3) unstable; urgency=medium

  * Backport upstream commit d6142308ffa492d9f7cea00fad3b4cd1babfd00c to fix the
    build with newer versions of matio; patch
    upstream_matio-Fix-compilation-for-latest-version-1.5.27.patch.
    (Closes: #1072280)
  * Bump Standards-Version to 4.7.0, no changes required.
  * Switch the transitional pkg-config build dependency to pkgconf.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 02 Jun 2024 21:04:24 +0200

labplot (2.10.1-2) unstable; urgency=medium

  * Add the libqt5qxlsx-dev build dependency to use the external QXlsx library,
    instead of the embedded copy
    - drop the qtbase5-private-dev build dependency, no more needed now

 -- Pino Toscano <pino@debian.org>  Tue, 14 Nov 2023 06:41:07 +0100

labplot (2.10.1-1) unstable; urgency=medium

  * New upstream release.
  * Fix the /usr/share/doc/labplot/examples symlink. (Closes: #1040560)
  * Remove an obsolete maintscript entry.
  * Stop using libcantor on mipsel, as libcantor uses qtwebengine which will be
    soon dropped from mipsel.

 -- Pino Toscano <pino@debian.org>  Sun, 16 Jul 2023 19:44:14 +0200

labplot (2.10.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Switch Vcs-* fields back to the 'master' packaging branch.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Jun 2023 21:33:45 +0200

labplot (2.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Switch Vcs-* fields to the 'experimental' packaging branch.
  * Update watch file for the new path.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.2, no changes needed.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.17.0
    - bump Qt packages to 5.10.0
    - bump extra-cmake-modules to 5.16.0
    - add qtbase5-private-dev, needed for the embedded copy of QXlsx
  * Pass -DENABLE_VECTOR_BLF=OFF to cmake to not build the Vector BLF file
    format support, as it requires libraries not currently available in Debian.

 -- Pino Toscano <pino@debian.org>  Wed, 22 Mar 2023 22:28:40 +0100

labplot (2.9.0-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.
  * Switch Vcs-* fields back to the 'master' packaging branch.

 -- Pino Toscano <pino@debian.org>  Tue, 03 May 2022 08:22:01 +0200

labplot (2.9.0~beta-1) experimental; urgency=medium

  * New upstream development release.
  * Adapt watch file for beta/rc versions.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16.0
    - add libmarkdown2-dev, libmatio-dev, and libreadstat-dev, needed by new
      features built by default
  * Update lintian overrides.
  * Switch Vcs-* fields to the 'experimental' packaging branch.

 -- Pino Toscano <pino@debian.org>  Sat, 26 Mar 2022 22:03:26 +0100

labplot (2.8.2-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTBFS with nocheck build profile. (Closes: #992580)

  [ Pino Toscano ]
  * Bump Standards-Version to 4.6.0, no changes required.
  * Mark the xauth, and xvfb build dependencies as nocheck, as they are needed
    only by dh_auto_test.
  * Small changes to copyright.
  * Use the ${misc:Pre-Depends} substvar in labplot.
  * Add the test-only locales-all build dependency, as it is needed to make
    parsertest work as intended.
  * Since cantor now requires QtWebEngine, and thus it can be built only on few
    architectures, limit the libcantor-dev to the same set of architectures:
    amd64 arm64 armhf i386 mips64el mipsel.

 -- Pino Toscano <pino@debian.org>  Sat, 02 Oct 2021 15:37:50 +0200

labplot (2.8.2-1) unstable; urgency=medium

  * New upstream release:
    - properly resets the error count in the parser (Closes: #974566)
  * Bump Standards-Version to 4.5.1, no changes required.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Disable fixfilepath reproducibility feature, as it triggers build failures
    when enabled.

 -- Pino Toscano <pino@debian.org>  Mon, 16 Aug 2021 08:45:08 +0200

labplot (2.8.1-2) unstable; urgency=medium

  * Team upload.
  * Add libcantor-dev (and necessary libpoppler-qt5-dev) to B-D.

 -- Norbert Preining <norbert@preining.info>  Mon, 18 Jan 2021 10:45:17 +0900

labplot (2.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Set upstream metadata fields: Repository-Browse.
  * Switch the watch file to version 4, no changes required.
  * Pass -DENABLE_REPRODUCIBLE=ON to cmake to improve reproducibility.
  * Add the kuserfeedback-dev build dependency to enable the feedback from
    users, as KUserFeedback is now available in Debian.

 -- Pino Toscano <pino@debian.org>  Thu, 12 Nov 2020 11:51:35 +0100

labplot (2.8.0-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.
  * Update standards version to 4.5.0, no changes needed.

  [ Pino Toscano ]
  * New upstream release.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
    - stop passing --fail-missing to dh_missing, as it is the default now
  * Add Rules-Requires-Root: no.
  * Switch Repository to invent.kde.org.
  * Update lintian overrides.
  * Switch Homepage to https://labplot.kde.org/.
  * Update install files.
  * Unregister labplot2_themes.knsrc as conffile, as it is no more in /etc.
  * Upstream now installs the examples, so:
    - stop installing them manually
    - symlink /usr/share/labplot2/example_projects to
      /usr/share/doc/labplot/examples for compatibility

 -- Pino Toscano <pino@debian.org>  Thu, 17 Sep 2020 08:09:59 +0200

labplot (2.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Add the configuration for the CI on salsa.
  * Add the libkf5kio-dev build dependency for the new upstream version.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat

 -- Pino Toscano <pino@debian.org>  Mon, 28 Oct 2019 07:54:36 +0100

labplot (2.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump qtbase5-dev to >= 5.6.0
    - add libkf5crash-dev, libkf5parts-dev, libkf5service-dev, zlib1g-dev, and
      liblz4-dev
    - remove libkf5kdelibs4support-dev, and libkf5kio-dev
  * Update install files.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Thu, 11 Jul 2019 06:21:34 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog labplot`.
